#version 330 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexPos;

out vec3 pos;
out vec2 texPos;

uniform mat4 MVP;

void main()
{
	pos = aPos;
	texPos = aTexPos;
	gl_Position = MVP * vec4(aPos, 1.0);
}